Bug 213541 - logout/shutdown/restart buttons not working
Summary: logout/shutdown/restart buttons not working
Status: CONFIRMED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: knotify (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Olivier Goffart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-07 14:06 UTC by zohn.joidberg
Modified: 2019-06-02 11:43 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zohn.joidberg 2009-11-07 14:06:03 UTC
Version:            (using KDE 4.3.2)
OS:                Linux
Installed from:    Ubuntu Packages

I can't shutdown/restart/logout via the KDE menus (kickoff launcher or application launcher).

The buttons are there and the first time I click on shutdown for example, I do get the shutdown options window, but when I click on shutdown in it, nothing happens.

After the first attempt, clicking on any of the logout/restart/shutdown buttons does nothing at all.

"/usr/bin/qdbus org.kde.ksmserver /KSMServer logout 0 2 0" does nothing and has no output, but I'm not sure it's the correct command either.

OS: Kubuntu 9.10
uname -a:
Linux desktop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
Comment 1 zohn.joidberg 2009-11-07 14:07:11 UTC
I installed the gnome-core package, logged into gnome and there the buttons work.
In KDE, they are still not working. :(
Comment 2 zohn.joidberg 2009-11-07 14:56:17 UTC
The buttons work when I log in as another user, so it only seems to affect my session.
Comment 3 zohn.joidberg 2009-11-07 15:12:01 UTC
Killed Xorg, renamed ~/.kde directory, logged back in and it is still not working...
What could possibly prevent the shutdown buttons from working!? :'(
Comment 4 zohn.joidberg 2009-11-07 16:02:59 UTC
Ok, I backed up and removed all dot files in my home directory and it worked again.
Now I restored .bash*, .config, .mozilla, .kde and it is still working.

I noticed some .dbus and .DCOP* files. Could they cause something like that?

Should I mark this as an invalid bug now or is the possibility of shutdown buttons stopping to work because of whatever reason (incorrect shutdown? kwin crash?) still worth being considered a bug?
Comment 5 Tim 2009-11-15 06:59:53 UTC
I'm having this problem as well. None of the plasma buttons work, neither right clicking desktop and selecting "Leave".  The only way that I can logout, shutdown, or reboot is to open up a terminal and apply the command there.  Any ideas of what is causing this bug?
Comment 6 Brian DeRocher 2009-12-11 18:43:50 UTC
qdbus org.kde.ksmserver /KSMServer logout 0 0 2
does not log me out.

Since i ssh'd to my machine, i needed to grab the DBUS session from a running process like this:

export DBUS_SESSION_BUS_ADDRESS=`cat /proc/$(pidof kded4)/environ | tr '\0' '\n' | grep DBUS | cut -d '=' -f2-`

I can browse the qbus tree, but logout does nothing.  pstree is still filled with kstuff.

(4.3.4 entered debian sid today, so i'll be upgrading this weekend.)
Comment 7 GB 2010-01-27 14:59:04 UTC
I had this in 4.3.5. Whatever the reason, deleting ksmserverrc cures it.
Comment 8 zohn.joidberg 2010-03-02 09:45:55 UTC
No, deleting ~/.kde/share/config/ksmserverrc did not work for me in KDE 4.3.2.
Comment 9 zohn.joidberg 2010-03-05 10:13:56 UTC
Found more related bug reports:
https://bugs.launchpad.net/ubuntu/+source/kde4libs/+bug/410466
https://bugs.kde.org/show_bug.cgi?id=201569

But nothing worked for me so far.
Comment 10 Stephan Menzel 2010-03-29 11:02:27 UTC
I have a similar problem here. AFAIR since 4.3.3. For me not even the dialog appears. The buttons are ther but if I push them nothing happens. Haven't seen anything in the logs. Right now it's 4.4.1 and still the same bug.

It's Gentoo x64 here. Deletion of said file didn't help.
Comment 11 Rich Gannon 2010-07-01 19:32:14 UTC
I did not have this issue with KDE 4.3.x, but after updating to 4.4.4 from 4.3, this issue began for me on all three of my systems using KDE.

I tried removing my ~/.kde4 dir but to no avail.  I made a new user so it was a completely fresh homedir, and to no avail.  I recompiled all packages on the system and to no avail.  I am at a loss on what the problem is.

I'm running Gentoo x86 on all of them, and each have different hardware.
Comment 12 Stephan Menzel 2010-07-02 09:06:53 UTC
would be great to have any comments on this one. Any news?
Comment 13 Michal Augustyniak 2010-07-13 03:13:58 UTC
I am having the same problem. Deleting .kde4 directory doesn't help either for created new user. 
I run gentoo x86, had no issue on 4.3.5 , it does not work since upgrade to 4.4.4.

There is a submitted bug for gentoo https://bugs.gentoo.org/show_bug.cgi?id=326393
Comment 14 Rich Gannon 2010-07-15 03:19:40 UTC
The issue has been found.  It is due to KDE not able to play a sound.

KDE tries to play an Ogg Vorbis audio bit on logout (and reboot/shutdown).  Since it can't play this file, it does not logout.

You can get by this by either installing the ogg and vorbis gstreamer plugins or seting "No Audio Output" in System Settings > Notifications > Player Settings.

The KDE devs will hopefully fix it so that if the plugins are not installed and the sound bit can not play that KDE skips the wait for the audio clip to play and just proceed as requested.
Comment 15 Michal Augustyniak 2010-07-15 18:02:25 UTC
yes I found few days ago , sorry for not sharing here, I've put the solution in gentoo bugs

https://bugs.gentoo.org/show_bug.cgi?id=326393

Thanks for respond.


> The issue has been found.  It is due to KDE not able to play a sound.
> 
> KDE tries to play an Ogg Vorbis audio bit on logout (and reboot/shutdown). 
> Since it can't play this file, it does not logout.
> 
> You can get by this by either installing the ogg and vorbis gstreamer plugins
> or seting "No Audio Output" in System Settings > Notifications > Player
> Settings.
> 
> The KDE devs will hopefully fix it so that if the plugins are not installed and
> the sound bit can not play that KDE skips the wait for the audio clip to play
> and just proceed as requested.
Comment 16 Kai Damm 2011-06-18 13:59:38 UTC
*** This bug has been confirmed by popular vote. ***
Comment 17 Will Stephenson 2011-09-26 20:03:36 UTC
Is anyone suffering this able to preview the sound effect configured for the "KDE Log Out" notification in System Settings (Manage Notifications->KDE Workspace->KDE Log out and click the small button with the play icon)?

Does it go away if you change the configured sound file to a different one that *does* work?

Here I get a failed logout if the configured sound does not exist, because KNotify does not notify KSMServer that the (failed) logout notification closed.
Comment 18 Richard Llom 2013-04-04 16:58:04 UTC
Judging from the linked bugs, this looks like a dupe of bug 201569 and is fixed.
Comment 19 Erik Quaeghebeur 2013-10-14 07:05:27 UTC
(In reply to comment #18)
> Judging from the linked bugs, this looks like a dupe of bug 201569 and is
> fixed.

I doubt it: I'm on 4.10.5, the sound issue is not present (of course, that has been fixed), but the exact behavior as described in the original bugreport is. I have had this problem from time to time (over the years that kde 4 exists), sometimes it stays a couple of days, sometimes it's just once in a while... Killing the ksmserver (of which I always seem to have one zombie version) provides a crude workaround, as I'm then back at the login screen (from which I can shutdown).
Comment 20 email200202 2014-11-07 02:22:50 UTC
I had the same problem, then found that the akonadi server was not starting.

Once, I fixed the akonadi server problem, the KDE logout/restart problem started working again.

There could other causes for the KDE logout/restart problem but it has some relation to the akonadi server.

You can check if your akonadi-server is working by opening the settings > system settings > Common Appearance and Behavior > Akonadi Resources Configuration. You will get an error message if the server is not running.
Comment 21 postix 2019-06-02 11:43:15 UTC
I sometimes experience the issue as well as described in the opening post; a workaround is to open Konsole and to shutdown by "shutdown 0".

# System
Operating System: Manjaro Linux 
KDE Plasma Version: 5.15.5
KDE Frameworks Version: 5.58.0
Qt Version: 5.12.3
Kernel Version: 5.1.4-1-MANJARO
OS Type: 64-bit